# machines
amnesia-sh() { ssh hacdcadmin@205.196.222.120; } #amnesia.dreamhost.com; }
wiki-sh() { ssh -t root@10.11.3.206; }
beacon-sh() { ssh root@172.233.232.194; }

# program local domains
on()        { ssh -t "root@10.0.0.$1"; }
mesh()      { ssh -t "root@10.10.0.$1"; }

# mesh machines
beacon-sh()     { mesh 1; }
proxy-sh()      { mesh 2; }
carbon-sh()     { mesh 3; }
mesh-a()        { mosh --no-init mesh@10.10.0.11; }
mesh-b()        { mosh --no-init mesh@10.10.0.12; }
mesh-c()        { mosh --no-init mesh@10.10.0.13; }
ll-sh()         { ssh calliope@10.10.0.10; }
chesapeake-sh() { mesh 180; }

# harbor-sh()  { mosh --no-init access@10.0.0.192; }
paper-sh()     { on 103; }
gym-sh()       { on 104; }
backlog-sh()   { on 105; }
session-sh()   { on 106; }
pico-sh()      { on 200; }
mail-sh()      { on 200; }
assembled-sh() { on 202; }
pain-sh()      { on 203; }
lock-sh()      { on 207; }
labori-sh()    { on 208; }
space-sh()     { on 209; }

proxy-sh()     { ssh -p 21 root@10.10.0.2; }
proxy-cycle()  { ssh -t -p 21 root@10.10.0.2 ./cycle.sh; ssh -p 21 root@10.10.0.2 systemctl status caddy; }

bingo-sh()     { ssh -o PreferredAuthentications=password -o PubkeyAuthentication=no access@base.bingo; }
pier-sh()      { ssh access@10.0.0.201; }

assembled-c()     { ssh -t root@10.0.0.202 'dokku run assembled rails c'; }
assembled-cycle() { ssh -t root@10.0.0.202 'dokku ps:restart assembled'; }
assembled-log()   { ssh -t root@10.0.0.202 'dokku logs -t assembled'; }
